Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 29-09-2011 22:22:01

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

[ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Bon , je ne suis pas sûr d'être au bon endroit .. 

Bref,  quand je veux faire ma mise à jour ( Sid ) ,  Synaptic me dit qu'il veut effacer gnome .... :

http://imageshack.us/photo/my-images/10/synapticb.png/

Alors que Aptitude me fais une mise à jour sans soucis ...( sans toucher à Gnome ... )

Une explication ??  ( Merci ... )

Dernière modification par michelh79 (02-10-2011 08:05:12)


Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

#2 30-09-2011 03:22:36

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Salut

Je n'ai pas une réponse précise, juste quelques commentaires, n'utilisant pas synaptic (je préfère apt-get ou aptitude qui sont plus "parlants"). Dans le cas d'une sid, je trouve que cela est encore plus important. Ma préférence va à aptitude qui gère une choua mieux les dépendances et propose des scénarios en cas de conflit.

Dans le passé, la seule différence entre apt-get et aptitude se retrouvait au niveau de la gestion des paquets installés automatiquement ou non. Ce problème n'existe maintenant plus ;  c'est géré parfaitement par les 2. Ce problème existe-t-il avec synaptic ? Je dirais que non mais je n'en suis pas sûr. Ton exemple semble montrer qu'il y a une différence à ce niveau. Sinon, il y a peut-être un bug, un mal fonctionnement avec synaptic.

Autre chose, gnome et gnome-desktop-environment sont des méta-paquets (paquets vides qui installent par le jeu des dépendances tout un tas de paquets ; paquets automatiquement installés donc). On peut très bien enlever ces deux paquets et conserver son environnement de bureau gnome. Il s'agit juste de passer tous les paquets reliés en manuellement installés pour éviter de voir apt-get ou aptitude râler (lire vouloir tout enlever).

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#3 30-09-2011 08:14:09

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Bonjour,

Pour compléter le message de Martin et chercher une explication, je te propose de faire la manip suivante :

aptitude -s install -f


et de nous indiquer dans un message ici le texte affiché par aptitude.


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#4 30-09-2011 08:44:11

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Ah , oui , en effet ... :


[q]root@debian-michel:/home/michel# aptitude -s install -f
Les NOUVEAUX paquets suivants vont être installés :
  cmap-adobe-korea1 darktable gir1.2-gtk-2.0 icedtea-netx{b} libcloog-ppl0
  libebackend1.2-0 libedata-book1.2-8 libedata-cal1.2-10{b} libgmpxx4ldbl
  libgraphite3 libgssglue1 libgssrpc4 libgtkhtml-editor-3.14-0
  libgtkhtml-editor-3.14-common libgtkhtml3.14-19 libgtkimageview0
  liblcms2-2 liblensfun-data liblensfun0 libnfsidmap2 libppl-c4 libppl9
  libpwl5 librpcsecgss3 libssl0.9.8 libtirpc1 libwebkit-1.0-2
  libwebkit-1.0-common libxcb-render-util0 linux-image-2.6-amd64
  moovida-plugins-bad moovida-plugins-ugly ntfsprogs{b} openoffice.org
  openoffice.org-evolution openoffice.org-gcj openoffice.org-gnome
  openoffice.org-help-en-us openoffice.org-help-fr openoffice.org-l10n-fr
  openoffice.org-thesaurus-en-us openoffice.org-thesaurus-fr python-gpod
  spamassassin spamassassin-heatu spamc
Les paquets suivants seront ENLEVÉS :
  audacious-plugins{u} bzr{u} bzrtools{u} ca-certificates-java{a}
  cpp-4.4{u} default-jre{a} default-jre-headless{a} fancontrol{u}
  foomatic-filters-ppds{u} freeglut3{u} icedtea-6-jre-cacao{a}
  libaccess-bridge-java{a} libaccess-bridge-java-jni{a}
  libarchive-zip-perl{u} libaudclient2{u} libaudcore1{u} libbinio1ldbl{u}
  libboo2.0.9-cil{u} libboost-python1.42.0{u} libcddb-file-perl{u}
  libchm1{u} libclass-load-perl{u} libclass-singleton-perl{u}
  libdata-optlist-perl{u} libdatetime-format-strptime-perl{u}
  libdatetime-locale-perl{u} libdatetime-perl{u}
  libdatetime-timezone-perl{u} libdesktop-agnostic-cfg-gconf{u}
  libdesktop-agnostic-data{u} libdesktop-agnostic-fdo-gio{u}
  libdesktop-agnostic-vfs-gio{u} libdesktop-agnostic0{u} libfluidsynth1{u}
  libgdata1.7-cil{u} libgkeyfile1.0-cil{u} libgnomepanel2.24-cil{u}
  libgtk-sharp-beans-cil{u} libgtk2-spell-perl{u} libgtksourceview2.0-0{u}
  libgtksourceview2.0-common{u} libgudev1.0-cil{u}
  liblist-moreutils-perl{u} libmagickcore3{u} libmagickcore3-extra{u}
  libmagickwand3{u} libmath-round-perl{u} libmcs1{u}
  libmono-zeroconf1.0-cil{u} libmowgli2{u} libmp3-info-perl{u}
  libmp3-tag-perl{u} libndesk-dbus-glib1.0-cil{u} libnet-freedb-perl{u}
  libogg-vorbis-header-pureperl-perl{u}
  libpackage-deprecationmanager-perl{u} libpackage-stash-perl{u}
  libpackage-stash-xs-perl{u} libpango1.0-common{u} libparams-util-perl{u}
  libparams-validate-perl{u} libresid-builder0c2a{u} libsidplay2{u}
  libsub-install-perl{u} libtaglib2.0-cil{u} libtry-tiny-perl{u}
  libxml-namespacesupport-perl{u} libxml-sax-base-perl{u}
  libxml-sax-expat-perl{u} libxml-sax-perl{u} libxml-simple-perl{u}
  nspluginwrapper{u} openjdk-6-jre{a} openjdk-6-jre-headless{a}
  openjdk-6-jre-lib{a} python-bugbuddy{u} python-bzrlib{u}
  python-cherrypy3{u} python-dateutil{u} python-desktop-agnostic{u}
  python-django{u} python-django-tagging{u} python-dnspython{u}
  python-gtkglext1{u} python-gtksourceview2{u} python-gweather{u}
  python-keyring{u} python-launchpadlib{u} python-lazr.restfulclient{u}
  python-lazr.uri{u} python-oauth{u} python-opengl{u} python-paramiko{u}
  python-pyinotify{u} python-routes{u} python-rsvg{u} python-twill{u}
  python-wadllib{u} python-webob{u} python-xklavier{u} radeontool{u}
  re2c{u} tzdata-java{a}
0 paquets mis à jour, 46 nouvellement installés, 103 à enlever et 26 non mis à jour.
Il est nécessaire de télécharger 22,5 Mo d'archives. Après dépaquetage, 201 Mo seront libérés.
Les paquets suivants ont des dépendances non satisfaites :
  icedtea-netx: Dépend: icedtea-netx-common mais il ne sera pas installé.
                Dépend: openjdk-6-jre (>= 6b23~pre9~) mais il ne sera pas installé.
  libedata-cal1.2-10: Dépend: libgdata7 qui est un paquet virtuel
  icedtea-6-jre-jamvm: Dépend: openjdk-6-jre-headless (= 6b23~pre9-2) mais il ne sera pas installé.
  ntfsprogs: Dépend: libntfs10 (>= 2.0.0) mais il ne sera pas installé.
  ntfs-3g: Est en conflit avec: ntfsprogs mais 2.0.0-1+b1 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :                           
1)     icedtea-6-jre-jamvm                                     

     Conserver les paquets suivants dans leur version actuelle :
2)     icedtea-netx [Non installé]                             
3)     libedata-cal1.2-10 [Non installé]                       
4)     ntfsprogs [Non installé]                                 

     Laisser les dépendances suivantes non satisfaites :       
5)     moovida-plugins-ugly recommande python-twill             
6)     spamassassin recommande re2c                             


Accepter cette solution ? [Y/n/q/?]
[/q]

Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

#5 30-09-2011 08:53:22

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Ok.

Je n'ai pas le temps de te dépanner ce matin. Essaye de te souvenir d'une installation que tu as annulée, d'un dépôt que tu as ajouté, d'un pinning hasardeux, etc.

Je repasserai probablement dans 7-8h, si quelqu'un t'aide d'ici là, tant mieux smile

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#6 30-09-2011 10:39:41

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Tout ce que j'ai fait de nouveau par rapport au système , c'est lancer gtkorphan ..

Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

#7 30-09-2011 12:09:36

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Bon ,j'ai lancé aptitude install -f  , apparemment , il n'y a pas eu de problèmes ... Gnome est toujours là smile

Mais j'ai toujours le même problème avec Synaptic qui veut toujours tout effacer ....

Je vais l'oublier un peu ..

Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

#8 30-09-2011 14:52:43

Invité-5
Banni(e)

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

1. Gnome est un petit méta-paquet sans importance (peut être supprimé) à ne pas confondre avec gnome-desktop-environment (celui-là, va t'enlever le bureau)
2. Ne pas utiliser Synaptic pour supprimer quoi que ce soit.
http://www.debian.org/doc/manuals/refer … operations

EDIT : Bien sûr tu as installé le paquet apt-listbugs wink

Dernière modification par Invité-5 (30-09-2011 14:54:23)

#9 30-09-2011 17:10:08

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

En gros , tu me dis  RTFM quoi ... , tu n'as pas tort  smile ( et merci pour la page de doc )

Oui , oui j'ai installé apt-listbugs ...

( Je n'ai pas eu le temps de noter le message exact , mais à un moment aptitude à trouver à redire sur ma version de python , peut être simplement attendre une mise à jour de ce côté là ..

Edition : je ne sais pas si je mets résolu ..(  Vu que Aptitude lui ne pose plus aucun problème , juste Synaptic qui galère toujours ..  )

Dernière modification par michelh79 (30-09-2011 22:12:39)


Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

#10 01-10-2011 08:26:51

Invité-5
Banni(e)

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Par curiosité (parce-que c'est important dans ton cas) as tu le fichier apt-conf ou pas ? Sans plus. wink

#11 01-10-2011 14:47:38

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Non pas du tout ...

Je viens de le créer , çà ressemble à çà:

APT::Install-Suggests "false";
APT::Install-Recommends "false";

Aptitude::Recommends-Important "false";
Aptitude::Suggests-Important "false";


Correct ?

( Merci encore smile )

Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

#12 01-10-2011 17:49:20

Invité-5
Banni(e)

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Cette méthode change tout pour installation d'un nouveau paquet à savoir => se bien repérer dans l'install. Remarque que j'ai te rien suggéré. À toi de voir. wink

#13 01-10-2011 22:33:30

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

C'est peut être totalement hors sujet , mais ,je me suis demandé ce qui n'allait pas dans mon installation ,j'ai essayé de simplifier les dépôts pour voir ..

J'ai donc enlevé les dépôts debian-multimédia , je n'ai donc gardé que les dépôts sid main contrib non free , et du coup , plus aucun problème ... Synaptic s'est calmé et  ne veux plus rien m'enlever ...

( du coup j'ai juste pitivi ( debian-multimédia ne me servait qu'à çà en fait .. ) , qui est " hors dépôts " mais toujours sur mon système .. ? )

Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

#14 02-10-2011 03:33:12

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Salut

Bizarre que debian-multimedia vienne foutre le bordel avec synaptic seulement. Tu mentionnes que tu as installé pitivi. Ce paquet est disponible dans le dépôt officiel et non dans debian-multimedia. Alors, il y a une autre explication à donner.

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#15 02-10-2011 07:00:04

Invité-5
Banni(e)

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Les quatre fautif (multimedia) à éviter la majoration :

libavcodec53
libavformat53
libavutil51
libswscale2
       +
libii2

Dernière modification par Invité-5 (02-10-2011 07:30:07)

#16 02-10-2011 08:03:13

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

_  martin_mtl   :  Tiens oui , pitivi est bien dans les dépots , pardon , alors , je ne sais plus trop pourquoi j'avais installé le dépôt multimédia ...

Bon , en tout cas , maintenant tout semble normal ,et  apparemment , je vis très bien sans lui ..

_  Darien  : je note çà dans un coin , merci


Merci à vous trois   en tout cas , on va dire que c'est réglé

Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

#17 02-10-2011 16:05:09

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Une chose que j'avais oubliée de mentionner dans mon précédent message. Dans Synaptic, on peut facilement savoir l'origine des paquets (en cliquant sur Origine en bas en gauche). Donc, tu peux facilement savoir si tu as un ou des paquets qui proviennent de debian-multimedia.

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#18 05-10-2011 20:25:42

ariosysvi
Membre
Distrib. : Stretch/Sid
Noyau : Linux 4.2.0-1-amd64
(G)UI : Gnome 3.18.1
Inscription : 03-10-2011

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Salut, j'ai eu le même problème avec ma Testing lorsque j'ai voulu installer Avidemux contenu dans le dépôt Multimedia Testing.
A chaque fois on voulait m'enlever Gnome. Je dis ON car j'ai essayé avec Synaptic et avec Aptitude.
Je m'en suis sorti grâce au pinning en mettant le dépôt Multimédia Testing avec une priorité de 90 dans le fichier etc/apt/preferences.

Package: *
Pin: release v=None,o=Unofficial Multimedia Packages,a=testing,n=wheezy,l=Unofficial Multimedia Packages
Pin-Priority: 90


Ensuite j'ai pu installer le paquet Avidemux sans aucune autres MAJ, et surtout on ne me propose plus d'enlever Gnome.
Voilà si ça peut te réconsilier avec le dépôt Multimedia...:)


Avant linux, mon ordi plantait tout le temps, je n'avais pas de vie sociale, les filles me fuyaient.. maintenant, mon ordi ne plante plus !

Hors ligne

#19 05-10-2011 21:51:54

phreg
Membre
Distrib. : Antix MX-15
Noyau : 4.3-0-liquorix-686
(G)UI : Xfce 4.12
Inscription : 02-04-2011

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Je un peu le même problème (sauf que je ne le considère pas comme tel).
Depuis quelques jours je refusais la mise à jour de gstreamer0.10-ffmpeg vers 0.10.12-3 (trop de désinstallations proposées) et ce soir c'est corrigé par une proposition de mise à jour vers la version multimedia testing 1:0.10.12-0.0 (quel saut !).
Il suffisait d'attendre un peu.
Et du coup, une nouvelle mise à jour, celle de gnome-games-extra-data 2:30.0-1 vers la 3.0.0-1 qui veux m'effacer les jeux fournis avec Gnome. Comment supporter le manque de Mahjongg wink ?
C'est du testing, les mises à jours risquent toujours de poser quelques conflits mais les corrections arrivent vite.
Donc pas d'urgence et si on ne supporte pas ces petits inconvénients on peut toujours ne faire que des mises à jour manuelles réfléchies, jouer avec les priorités ou bien rester en stable.
Ou mieux encore, utiliser testing mais garder une partition avec une stable en secours. C'est toujours quand j'ai un besoin urgent du PC que je foire ma config. Pas vous ? lol

Hors ligne

#20 05-10-2011 22:06:54

michelh79
Membre
Lieu : Bressuire - 79
Distrib. : Debian sid
Noyau : Linux 3.14-amd64
(G)UI : Gnome 3.8.4
Inscription : 23-04-2010

Re : [ Résolu ] Synaptic veut tout me virer .! ( aptitude reste sobre )

Bon , là ,le souci était le dysfonctionnement entre aptitude et synaptic ... ( sinon ,je sais bien que d'utiliser Sid implique certaines précautions . )  , et que bizarrement , de virer les dépôts multimédias me réglait mon problème ...

Bref , pour moi, apparemment ces dépôts ne me servaient pas à grand chose .. , tout va bien mieux sans eux .. problème résolu ... smile

Je n'ai jamais été chaste à quoi sert d'être chaste ? Puisque même avec terreur tremblant de précautions nous aimer est tout ce qui nous reste. Zoe Valdès

Hors ligne

Pied de page des forums